@import url('https://fonts.googleapis.com/css2?family=Manrope');

:root {
  font-size: clamp(1.5rem, 2vw + 1rem, 2.5rem);
  --clr-bg: #ffffff;
  --clr-text: #fff;
  --clr-primary: #fff;
}

body {
  height: 100svh;
  
  display: grid;
  place-items: center;
  
  font-family: "Manrope", sans-serif;
  
  background: var(--clr-bg);
  color: var(--clr-text);
  
  padding: 1rem;
  overflow: hidden;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

[defs] {
  position: absolute;
  pointer-events: none;
  opacity: 0;
}


nav {
  max-width: 20rem;
  
  position: relative;
  display: flex;
  border-radius: 1em;
  overflow: hidden;
  
  filter: url(#❄️);
}

img {
  width: 100%;
  filter: url(#pack-upper);
}

.hover-area {
  position: absolute;
  --p: 1em;
  inset: calc(var(--p) * -1);
  padding: var(--p);
  z-index: 999;
  display: grid;
  grid-template-columns: repeat(var(--max-a), 1fr);
  background: black;  
  filter: blur(19px) brightness(5) contrast(80);
  mix-blend-mode: plus-lighter; 
  filter: blur(19px) brightness(5) contrast(80) invert(1) blur(5px) url("#gray-pack-2b") url("#pack-lower");
  
  cursor:url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg'  width='100' height='120' viewport='0 0 100 100' style='fill:white;font-size:80px; opacity: .8;'><text y='50%'>❄</text></svg>") 45 35,auto; 
}

i {
  background: white;
  opacity: 0;
  transition: opacity 5s;
  border-radius: 50%;
  scale: 2;
  &:is(:hover, :active) {
    opacity: 1;
    transition-duration: 0s;
  }
}